#!/bin/csh


gmtset FONT_ANNOT_PRIMARY 12
gmtset FONT_TITLE 10
gmtset FONT_LABEL 10     
gmtset PROJ_LENGTH_UNIT cm
gmtset PS_MEDIA A4

set psfile=prf_plot_both_together_all_baz.ps
set r1=-20/40/0/10
set r2=-20/40/-1/600

#psbasemap -JX20 -R$r1  -Ba5f1:"Delay Time (s)":S -K> $psfile
##PRF
##profile
psbasemap -JX8 -R$r1 -Ba5f1:"Delay Time (s)":\/a80f80:"":SW -K -Y11.5 >$psfile
psxy  -R$r2 -JX  -O -W1,black,-- -K >>$psfile <<END
0 0
0 620
END
echo -23 640 A | pstext -R -J -O -N -F+f14p,Helvetica-Bold,black -K >>$psfile 
echo -22 580 E | pstext -R -J -O -N -F+f10p,Helvetica-Bold,black -K >>$psfile
echo -22 50 W | pstext -R -J -O -N -F+f10p,Helvetica-Bold,black -K >>$psfile
echo 3 590 M | pstext -R -J -O -N -F+f8p,Helvetica-Bold,black -K >>$psfile
echo 4 335 Mul | pstext -R -J -O -N -F+f8p,Helvetica-Bold,blue -K >>$psfile
echo 10 670 PRF | pstext -R -J -O -N -F+f14p,Helvetica-Bold,black -K >>$psfile

awk '{if(NR<1002)print $2, "9", $1}' 0203P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "8", $1}' 04P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "7", $1}' 06P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "6", $1}' 0709HJOP_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "5", $1}' 1112P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "4", $1}' 13P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "3", $1}' 1415P_LP5_ALLBAZ| pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "2", $1}' 16P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "1", $1}' 17P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile

echo  50 1 17 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 2 16 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 3 1415 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 4 13 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 5 1112 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 6 0709HJO | pstext -R -J -O -N -F+f12p,Helvetica-Bold,black -K >>$psfile
echo  50 7 06 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,black -K >>$psfile
echo  50 8 04 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,black -K >>$psfile
echo  50 9 0203 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,black -K >>$psfile

set r3=-20/40/0/10
set r4=-20/40/-1/600

##PRF
##other stations
psbasemap -JX8 -R$r3 -Ba5f1:"Delay Time (s)":\/a65f65:"":SW -K -Y-10 -O >>$psfile
psxy  -R$r4 -J  -O -W1,black,-- -K >>$psfile <<END
0 0
0 600
END
echo -23 640 B | pstext -R -J -O -N -F+f14p,Helvetica-Bold,black -K >>$psfile
echo -22 570 E | pstext -R -J -O -N -F+f10p,Helvetica-Bold,black -K >>$psfile
echo -22 30 W | pstext -R -J -O -N -F+f10p,Helvetica-Bold,black -K >>$psfile
echo 3 590 M | pstext -R -J -O -N -F+f8p,Helvetica-Bold,black -K >>$psfile
echo 5.5 335 Mul | pstext -R -J -O -N -F+f8p,Helvetica-Bold,blue -K >>$psfile

awk '{if(NR<1002)print $2, "9", $1}' DBGP_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "8", $1}' SCOP_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "7", $1}' 24P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "6", $1}' 22P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "5", $1}' 20P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "4", $1}' 19P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.35 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "3", $1}' 18P_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "2", $1}' SUMGP_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<1002)print $2, "1", $1}' ICESGP_LP5_ALLBAZ | pswiggle -JX8 -R$r1 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile

echo  50 1 ICESG | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 2 SUMG  | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 3 18 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 4 19 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 5 20 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,blue -K >>$psfile
echo  50 6 22 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,black -K >>$psfile
echo  50 7 24 | pstext -R -J -O -N -F+f12p,Helvetica-Bold,black -K >>$psfile
echo  50 8 SCO | pstext -R -J -O -N -F+f12p,Helvetica-Bold,black -K >>$psfile
echo  50 9 DBG | pstext -R -J -O -N -F+f12p,Helvetica-Bold,black -K >>$psfile

set r5=-50/10/0/10
set r6=-50/10/-1/600

##SRF
##profile
psbasemap -JX8 -R$r5 -Ba5f1:"Delay Time (s)":\/a80f80:"":SW -K -O -Y10 -X10.8 >>$psfile
psxy  -R$r6 -JX  -O -W1,black,-- -K >>$psfile <<END
0 0
0 620
END
echo -53 640 C | pstext -R -J -O -N -F+f14p,Helvetica-Bold,black -K >>$psfile
echo -52 580 E | pstext -R -J -O -N -F+f10p,Helvetica-Bold,black -K >>$psfile
echo -52 50 W | pstext -R -J -O -N -F+f10p,Helvetica-Bold,black -K >>$psfile
echo -2 590 M | pstext -R -J -O -N -F+f8p,Helvetica-Bold,black -K >>$psfile
echo -20 670 SRF | pstext -R -J -O -N -F+f14p,Helvetica-Bold,black -K >>$psfile

awk '{if(NR<851)print $2, "9", ($1*-1)}' 0203_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "8", ($1*-1)}' 04_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "7", ($1*-1)}' 06_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "6", ($1*-1)}' 0709HJO_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -O -K >> $psfile
awk '{if(NR<851)print $2, "5", ($1*-1)}' 1112_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -O -K >> $psfile
awk '{if(NR<851)print $2, "4", ($1*-1)}' 13_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -O -K >> $psfile
awk '{if(NR<851)print $2, "3", ($1*-1)}' 1415_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -O -K >> $psfile
awk '{if(NR<851)print $2, "2", ($1*-1)}' 16_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -O -K >> $psfile
awk '{if(NR<851)print $2, "1", ($1*-1)}' 17_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -O -K >> $psfile
##SRF
##other stations
psbasemap -JX8 -R$r5 -Ba5f1:"Delay Time (s)":\/a80f80:"":SW -K -O -Y-10 -X0 >> $psfile
psxy  -R$r6 -JX  -O -W1,black,-- -K >>$psfile <<END
0 0
0 600
END

echo -53 640 D | pstext -R -J -O -N -F+f14p,Helvetica-Bold,black -K >>$psfile
echo -52 570 E | pstext -R -J -O -N -F+f10p,Helvetica-Bold,black -K >>$psfile
echo -52 30 W | pstext -R -J -O -N -F+f10p,Helvetica-Bold,black -K >>$psfile
echo -3 610 M | pstext -R -J -O -N -F+f8p,Helvetica-Bold,black -K >>$psfile

awk '{if(NR<851)print $2, "9", ($1*-1)}' DBG_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "8", ($1*-1)}' SCO_LP8_ALLBAZ| pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "7", ($1*-1)}' 24_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "6", ($1*-1)}' 22_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "5", ($1*-1)}' 20_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "4", ($1*-1)}' 19_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "3", ($1*-1)}' 18_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "2", ($1*-1)}' SUMG_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2 -K -O >> $psfile
awk '{if(NR<851)print $2, "1", ($1*-1)}' ICESG_LP8_ALLBAZ | pswiggle -JX8 -R$r5 -Z0.3 -G-blue -G+red -W0.2  -O >> $psfile









gv $psfile &
